function totalData = combineData(fileList)
    cd('../SimulatedDataProcessed');
%     cd('../EDFProcessedData');

% Collect file names to combine
    fileNames = dir('*.txt');
    totalData = [0 0 0 0];
    
%     Loop through each file and append the data to the totalData matrix
    for ii = 1:length(fileNames)
        fileName = fileNames(ii).name;
        fileNum = str2num(cell2mat(extractBetween(fileName,'_','.')));
        logicals = find(fileList==fileNum);
        if any(logicals)
            A = tblread(fileNames(ii).name,'\t');
            totalData = [totalData; A];
        end
    end
    
%     Prepare a final matrix to return
    headers={'labels' 'rate' 'HRV' 'Amplitude'};
    finalData.labels = totalData(:,1);
    finalData.rate = totalData(:,2);
    finalData.HRV = totalData(:,3);
    finalData.Amplitude = totalData(:,4);
    totalData = finalData;
end