function tree = decisionTree(totalData)
%     Extract the data from the input parameters that will be used to
%     traing the model
    data = totalData;
    labels = data.labels;
    heartRate = data.rate;
    heartRateVariability = data.HRV;

%     Define predictor variables and labels
    PredNames = {'rate','HRV'};
    X = [heartRate heartRateVariability];
    Y = labels;

%     Fit and view the classification tree
    tree = fitctree(X,Y,'PredictorNames',PredNames,'NumVariablesToSample','all','MaxNumSplits',12); 
    view(tree,'Mode','graph');
end